<?php

/**
 * This example illustrates the use of the 
 * RoundTitleTable widget.
 *
 *
 * $Id: widget12.php,v 1.2.2.1 2005/05/12 01:24:02 hemna Exp $
 *
 * @author Walter A. Boring IV <waboring@newsblob.com>
 * @package phpHtmlLib
 * @subpackage widget-examples
 * @version 2.4.0
 *
 */ 

/**
 * Include the phphtmllib libraries
 *
 */
include_once("includes.inc");


//create the page object
$page = new HTMLPageClass("phpHtmlLib Widgets - RoundTable", 
						  HTML);

//enable output debugging.
if (isset($_GET['debug'])) {
    $page->set_text_debug( TRUE );
}

//add the css link to the default theme which will
//automatically generate the css classes used 
//by the Navtable widget, as well as the other widgets.
$page->add_css_link( "/phphtmllib/css/defaulttheme.php" );
$page->add_css_link( "/css/fonts.css" );


//create the RoundTitleTable Object
//create the widget with a 
//title of "Some lame title"
//overall width of 300 pixels ( u can use % as well )
$dialog = new MessageBoxWidget("Some title", "300",
                           "This is a message");
//$dialog->add_button("test", "index.php");

$page->add( $dialog );


//this will render the entire page
//with the content you have added
//wrapped inside all the required
//elements for a complete HTML/XHTML page.
//NOTE: all the objects in phphtmllib have
//      the render() method.  So you can call
//      render on any phphtmlib object.
print $page->render();
?>
